> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/ddos-protection/describeddosalleventlist.md).

# DescribeDDosAllEventList

## 1. 接口描述

本接口(DescribeDDosAllEventList)用于获取攻击事件列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称      | 必选 | 类型                                                                                  | 描述                                                                                                                          |
| --------- | -- | ----------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| status    | 否  | [DdosAttackStatus](/api-reference/cn/compute/zec/datastructure.md#ddosattackstatus) | 攻击状态。                                                                                                                       |
| ipAddress | 否  | String                                                                              | 被攻击的IP。                                                                                                                     |
| startTime | 否  | String                                                                              | <p>攻击开始时间。</p><p>时间格式：yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ。</p> |
| endTime   | 否  | String                                                                              | <p>攻击结束时间。</p><p>时间格式：yyyy-MM-ddTHH<span data-gb-custom-inline data-tag="emoji" data-code="1f1f2-1f1f2">🇲🇲</span>ssZ。</p> |
| pageSize  | 否  | Integer                                                                             | <p>返回的分页大小。</p><p>默认值：20</p>                                                                                                |
| pageNum   | 否  | Integer                                                                             | <p>返回的分页数。</p><p>默认值：1</p>                                                                                                  |

## 3. 响应结果

| 参数名称       | 类型                                                                                         | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                    | 符合条件的数据总数。                                               |
| dataSet    | Array of [AttackEventInfo](/api-reference/cn/compute/zec/datastructure.md#attackeventinfo) | 攻击事件列表的数据。                                               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取攻击事件列表**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDDosAllEventList
<Common Request Params>

Request：
{
    "status": "status",
    "ipAddress": "10.0.0.2"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 1,
    "dataSet": [
        {
            "eventId": "<eventId>",
            "status": "ATTACKING",
            "ipAddress": "10.0.0.2",
            "protecting": true,
            "startTime": "2025-05-01T01:01:01Z",
            "endTime": "2025-05-01T01:01:01Z",
            "endBlackholeTime": "2025-05-01T01:01:01Z",
            "attackBandwidthMax": "2",
            "attackPackageMax": "2",
            "regionId": "asia-east-1a"
        }
      ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
